#! /bin/bash

cd /home/cre/Documents
# Pour que l'utilisateur cre devienne propriétaire de tous les fichiers installés
chown -R cre:cre ./*
# et pour les rendre tous executables
chmod -R 755 ./*

# Make sure the option to show layout minized on process start is enabled
# to display the virtual keyboard properly
gsettings set org.onboard start-minimized true

# Delete ntp package if it exists.
apt_wait
dpkg -s ntp > /dev/null 2>&1
if [ $? = 0 ]
then
	echo 'ntp found, remove it'
	apt_wait
	apt-get -y remove --purge ntp
fi
# Prevent GNOME to do network time synching.
timedatectl set-ntp 0

rm -rf $I4GEN/client.ws.restore2
rm -rf $I4GEN/server.ws.restore2

mv $I4GEN/client.ws.restore $I4GEN/client.ws.restore2
mv $I4GEN/server.ws.restore $I4GEN/server.ws.restore2

mkdir $I4GEN/client.ws.restore
mkdir $I4GEN/server.ws.restore

cp -rf $I4GEN/client.ws/. $I4GEN/client.ws.restore/.
cp -rf $I4GEN/server.ws/. $I4GEN/server.ws.restore/.

cp -rf $I4GEN/lastupdatefiles/client.ws/. $I4GEN/client.ws/.
cp -rf $I4GEN/lastupdatefiles/server.ws/. $I4GEN/server.ws/.

cp -rf $I4GEN/lastupdatefiles/start_i4Gen.sh $I4GEN

# Modification de la config GRUB
# - fdisk forcé à chaque démarrage et réparation automatique
# - disable recovery mode for security purpose
cp -rf $I4GEN/lastupdatefiles/grub /etc/default
# Mise à jour de la config GRUB
update-grub

# Delete user config file
rm /home/cre/.i4Gen/config.json

cd /home/cre/Documents
# Pour que l'utilisateur cre devienne propriétaire de tous les fichiers installés
chown -R cre:cre ./*
# et pour les rendre tous executables
chmod -R 755 ./*

sync;sync

shutdown -r now
