"use strict";const path=require("path"),fs=require("fs"),mkdirp=require("mkdirp"),unzip=require("unzip"),ipsubcalc=require("ip-subnet-calculator"),logger=require("./logger"),system=require("./system"),config=require("../config").config;var pkg={};pkg=path.dirname(require.main.filename).indexOf("dist")>-1?require("../../package"):require("../package"),logger.info("Server version: "+pkg.version);let clientUtils={};function getId(e,t){let r="";return r+=String.fromCharCode(e[4],e[5]),r+=String.fromCharCode(e[2],e[3]),r+=String.fromCharCode(e[0],e[1]),r+=String.fromCharCode(e[6],e[7]),r+=String.fromCharCode(e[8],e[9]),r+=String.fromCharCode(e[10],e[11]),r+=t<10?"0"+t.toString():t.toString()}function getDate(e){let t="";return t+=String.fromCharCode(e[0],e[1]),t+="/",t+=String.fromCharCode(e[2],e[3]),t+="/",t+=String.fromCharCode(e[4],e[5])}function getTime(e){let t="";return t+=String.fromCharCode(e[6],e[7]),t+=":",t+=String.fromCharCode(e[8],e[9]),t+=":",t+=String.fromCharCode(e[10],e[11])}function getVarnum(e){let t="";return t+=String.fromCharCode(e[13],e[14],e[15],e[16],e[17]),t=parseInt(t,10)}function getActiveState(e){return"0"!==String.fromCharCode(e[18])}function getLevel(e){return"1"===String.fromCharCode(e[19])}function convertRecordToObject(e,t,r){let n={};return n.id=getId(t,r),n.type=100===e?1:2,n.date=getDate(t),n.time=getTime(t),n.varNum=getVarnum(t),n.isActiveState=getActiveState(t),n.isLevel2=getLevel(t),n}function getIdGensys2(e,t){let r="";return r+=e[6]+e[7],r+=e[3]+e[4],r+=e[0]+e[1],r+=e[9]+e[10],r+=e[12]+e[13],r+=e[15]+e[16],r+=t<10?"0"+t.toString():t.toString()}function getDateGensys2(e){let t="";return t+=e[0]+e[1],t+="/",t+=e[3]+e[4],t+="/",t+=e[6]+e[7]}function getTimeGensys2(e){let t="";return t+=e[9]+e[10],t+=":",t+=e[12]+e[13],t+=":",t+=e[15]+e[16]}function getLabelGensys2(e){let t="";return t+=e.substr(18,14)}function getVarnumGensys2(e){let t=e.indexOf("="),r=e.substr(t-4,4);return r=parseInt(r,10)}function getActiveStateGensys2(e){let t=e.indexOf("=");return e.substr(t,3).indexOf("On")>-1}function convertRecordToObjectGensys2(e,t,r){let n={};return n.id=getIdGensys2(t,r),n.type=e,n.date=getDateGensys2(t),n.time=getTimeGensys2(t),n.label=getLabelGensys2(t),n.varNum=getVarnumGensys2(t),n.isActiveState=getActiveStateGensys2(t),n}clientUtils.getAutowampConnectionURL=function(){return new Promise(function(e){return config.server.netRemoteConnActivation&&("win32"===clientUtils.getPlatform()?system.network.getNetSettingWithOSbyName(config.server.netDeviceNameWin32).then(t=>t.address?(logger.info("Wamp URL (win32):",t.address),e(t.address)):(logger.info("Wamp URL (win32):",config.server.defaultUrl),e(config.server.defaultUrl))).catch(t=>(logger.error("Error getAutowampConnectionURL (win32): ",t),logger.info("Wamp URL (win32):",config.server.defaultUrl),e(config.server.defaultUrl))):system.network.getNetSettingWithOSbyName(1===config.server.netRemoteConnNum?config.server.netDeviceName1:config.server.netDeviceName2).then(t=>(t.address||(logger.info("Wamp URL:",config.server.defaultUrl),e(config.server.defaultUrl)),logger.info("Wamp URL:",t.address),e(t.address))).catch(t=>(logger.error("Error getAutowampConnectionURL: ",t),logger.info("Wamp URL:",config.server.defaultUrl),e(config.server.defaultUrl)))),e(config.server.defaultUrl)})},clientUtils.ExtractUncompressFirmwareArchive=function(e,t){return logger.debug("ExtractUncompressFirmwareArchive: "+e+" / "+t),new Promise(function(r,n){try{const t=fs.statSync(e);if(0===t.size)return n(new Error("File size null (ExtractUncompressFirmwareArchive - fs.statSync().size = 0)"));if(!t.isFile())return n(new Error("File is not a file (ExtractUncompressFirmwareArchive - fs.statSync().isFile)"))}catch(e){return n(new Error("File not found (ExtractUncompressFirmwareArchive - fs.statSync())"))}let i=unzip.Extract({path:t});i.on("close",function(){fs.readdir(t,function(e,t){return e?n(new Error("Check files after Extract (ExtractUncompressFirmwareArchive - fs.readdir())")):5===t.length&&t.indexOf("GENSYSCompact.nfo")>-1&&t.indexOf("GENSYSCompact.h86")>-1&&t.indexOf("langueFrancais.bin")>-1&&t.indexOf("langueEspagnol.bin")>-1&&t.indexOf("langueItalien.bin")>-1?r({respCode:1}):n(new Error("Check files after Extract (ExtractUncompressFirmwareArchive - files.length & indexOf"))})}),i.on("error",function(){return n(new Error("Archive not valid (ExtractUncompressFirmwareArchive - Extract error)"))}),fs.createReadStream(e).pipe(i)})},clientUtils.ExtractUncompressUpdateArchive=function(e,t){return logger.debug("ExtractUncompressUpdateArchive: "+e+" / "+t),new Promise(function(r,n){try{const t=fs.statSync(e);if(0===t.size)return n(new Error("File size null (ExtractUncompressUpdateArchive - fs.statSync().size = 0)"));if(!t.isFile())return n(new Error("File is not a file (ExtractUncompressUpdateArchive - fs.statSync().isFile)"))}catch(e){return n(new Error("File not found (ExtractUncompressUpdateArchive - fs.statSync())"))}let i=unzip.Extract({path:t});i.on("close",function(){fs.readdir(t,function(e,t){return e?n(new Error("Check files after Extract (ExtractUncompressUpdateArchive - fs.readdir())")):t.indexOf("updater.sh")>-1&&t.indexOf("restorer.sh")>-1&&t.indexOf("client.ws")>-1&&t.indexOf("server.ws")>-1?r({respCode:1}):n(new Error("Check files after Extract (ExtractUncompressUpdateArchive - files.length & indexOf"))})}),i.on("error",function(){return n(new Error("Archive not valid (ExtractUncompressUpdateArchive - Extract error)"))}),fs.createReadStream(e).pipe(i)})},clientUtils.deformatDataRecords=function(e,t){let r=[];if(t)for(let n=0;n<t.length/20;n+=1){let i=t.slice(20*n,20*n+20);r.push(convertRecordToObject(e,i,n))}return r},clientUtils.deformatDataRecordsGensys2=function(e,t){let r=[],n=[];if(t){if(t.alarms.length>0){r=t.alarms.split("\r\n");for(let e=0;e<r.length;e+=1)41===r[e].length&&n.push(convertRecordToObjectGensys2(2,r[e].trim(),e))}if(t.faults.length>0){r=t.faults.split("\r\n");for(let e=0;e<r.length;e+=1)-1===r[e].indexOf("../../..")&&41===r[e].length&&n.push(convertRecordToObjectGensys2(1,r[e].trim(),e))}}return n},clientUtils.deformatModifVarsData=function(e,t){let r={};t&&t.endsWith(";;")&&(t=t.substring(0,t.length-1));let n=e.split(";"),i=t.split(";");return n.length,i.length,i.forEach((e,t)=>{if(n[t]&&""!==n[t]){let i=[],s=n[t].split(","),o=e.split(","),c=-1;s.length,o.length,o.forEach((e,t)=>{if(c=parseInt(s[t].substring(3),10),s[t].indexOf("%%l")>-1)""===e.trim()?i.push({label14c:"TXT_BLANK",label:"TXT_BLANK"}):i.push({label14c:e.trim(),label:e.trim()});else if(s[t].indexOf("%%v")>-1){let t=0;if(e.indexOf(".")>-1){let r=e.split(".");r[1]&&("I"!==r[1].slice(-1)&&"C"!==r[1].slice(-1)||(r[1]=r[1].slice(0,-1)),t=r[1].length)}let r=Math.round(parseFloat(e,10)*Math.pow(10,t));isNaN(r)||i.push({value:r}),i.push({acc:parseInt(t,10)})}else if(s[t].indexOf("%%u")>-1){let t=[];for(let r=0;r<e.length;r++){let n=e.charCodeAt(r);t.push(255&n)}253===t[0]&&67===t[1]?e="°C":253===t[0]&&(e="°"),i.push({unit:e.trim()})}}),i.forEach(e=>{r[c]?r[c]=Object.assign(r[c],e):r[c]=e})}}),r},clientUtils.getPlatform=function(){return process.env.HOME?"linux":"win32"},clientUtils.getDefaultConfig=function(){return process.env.HOME?{user_path:config.server.usbRootLinux,platform:"linux",server_version:pkg.version}:{user_path:config.server.usbRootWindows,platform:"win32",server_version:pkg.version}},clientUtils.mkdirCwdPath=function(e){return fs.existsSync(e)||mkdirp.sync(e,{mode:"0755"}),this},clientUtils.writeFile=function(e,t){const r=JSON.stringify(t,null,"\r");return new Promise((n,i)=>{fs.writeFile(e,r,"utf8",e=>{e?(logger.error(e),i(e)):(logger.debug("File has been saved"),n(t))})})},clientUtils.createEmptyJSONFileIfNotExist=function(e,t){return this.mkdirCwdPath(e),new Promise(e=>{fs.existsSync(t)?e():this.writeFile(t,{}).then(e)})},clientUtils.calculateCIDRPrefix=function(e,t){return ipsubcalc.calculateCIDRPrefix(e,t).prefixSize},clientUtils.calculateSubnetMask=function(e,t){return ipsubcalc.calculateSubnetMask(e,t).prefixMaskStr},clientUtils.checkNetworkSettings=function(e){return e.dhcp?e:!!ipsubcalc.isIp(e.address)&&(!!ipsubcalc.isIp(e.netmask)&&(!(e.gateway&&!ipsubcalc.isIp(e.gateway))&&(e.netmask=this.calculateCIDRPrefix(e.address,e.netmask),e)))},module.exports=clientUtils;